Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## Type-Safe Access to BEA WebLogic Server 9.1 MBeans (Deprecated)
(Methods marked with @since 9.0.0.0 or later are not available through the deprecated `MBeanHome` interface.)

## weblogic.management.runtime
Interface JTATransactionStatisticsRuntimeMBean

All Superinterfaces:
  DynamicMBean, JTAStatisticsRuntimeMBean, MBeanRegistration, NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

All Known Subinterfaces:
  JTARuntimeMBean, TransactionNameRuntimeMBean

public interface JTATransactionStatisticsRuntimeMBean
extends JTAStatisticsRuntimeMBean

This interface contains general JTA transaction runtime statistics.

### Deprecation of MBeanHome and Type-Safe Interfaces

This is a type-safe interface for a WebLogic Server MBean, which you can import into your client classes and access through `weblogic.management.MBeanHome`. As of 9.0, the `MBeanHome` interface and all type-safe interfaces for WebLogic Server MBeans are deprecated. Instead, client classes that interact with WebLogic Server MBeans should use standard JMX design patterns in which clients use the `javax.management.MBeanServerConnection` interface to discover MBeans, attributes, and attribute types at runtime. For more information, see "Developing Manageable Applications with JMX" on http://edocs.bea.com.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Method Summary
`long` | `getSecondsActiveTotalCount()` The total number of seconds that transactions were active for all committed transactions.
`long` | `getTransactionAbandonedTotalCount()` The total number of transactions that were abandoned since the server was started.
`long` | `getTransactionRolledBackAppTotalCount()` The number of transactions that were rolled back due to an application error.
`long` | `getTransactionRolledBackResourceTotalCount()` The number of transactions that were rolled back due to a resource error.
`long` | `getTransactionRolledBackSystemTotalCount()` The number of transactions that were rolled back due to an internal system error.
`long` | `getTransactionRolledBackTimeoutTotalCount()` The number of transactions that were rolled back due to a timeout expiration.

Methods inherited from interface weblogic.management.runtime.JTAStatisticsRuntimeMBean
`getTransactionCommittedTotalCount, getTransactionHeuristicsTotalCount, getTransactionRolledBackTotalCount, getTransactionTotalCount`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getSecondsActiveTotalCount

    public long getSecondsActiveTotalCount()

  The total number of seconds that transactions were active for all committed transactions.

  Returns:
    The secondsActiveTotalCount value

### getTransactionAbandonedTotalCount

    public long getTransactionAbandonedTotalCount()

  The total number of transactions that were abandoned since the server was started.

  Returns:
    The transactionAbandonedTotalCount value

### getTransactionRolledBackAppTotalCount

    public long getTransactionRolledBackAppTotalCount()

  The number of transactions that were rolled back due to an application error.

  Returns:
    The transactionRolledBackAppTotalCount value

### getTransactionRolledBackResourceTotalCount

    public long getTransactionRolledBackResourceTotalCount()

  The number of transactions that were rolled back due to a resource error.

  Returns:
    The transactionRolledBackResourceTotalCount value

### getTransactionRolledBackSystemTotalCount

    public long getTransactionRolledBackSystemTotalCount()

  The number of transactions that were rolled back due to an internal system error.

  Returns:
    The transactionRolledBackSystemTotalCount value

### getTransactionRolledBackTimeoutTotalCount

    public long getTransactionRolledBackTimeoutTotalCount()

  The number of transactions that were rolled back due to a timeout expiration.

  Returns:
    The transactionRolledBackTimeoutTotalCount value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs91 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD